#include "EdgeFillVolume.hpp"
#include "Scanner.hpp"
#include <ES2Command/ES2CommandAPI.h>


namespace epsonscan {

void EdgeFillVolume::SetValue(const SDIInt& intVal)
{
	current_ = intVal;
}	
void EdgeFillVolume::Reset()
{
	current_  = 30;
}

void EdgeFillVolume::GetValue(SDIInt& intVal)
{
	intVal = current_;
}

void EdgeFillVolume::GetCapability(SDICapability &capability)
{
	SetDefaultRangeCapability(capability);
}

ESDictionary EdgeFillVolume::GetEngineKeyValues()
{
	auto dict =  ESDictionary();

	return dict;
}
	
}//namespace epsonscan
